<?php
// Stats-Page
function geo_captcha_stats_page() {
	$geocaptcha_evenodd = true;

	global $wpdb, $table_prefix;
	
	$country_stats = $wpdb->get_results("SELECT * FROM " . $table_prefix . "geo_captcha_stats ORDER BY country", ARRAY_A); 
	
?>
<style type="text/css">
@import url("<?php echo WP_PLUGIN_URL; ?>/geo-captcha/geo-captcha.css");
</style>
  <div class="wrap">
   <h2><?php _e('Geo Captcha', 'geo-captcha'); ?> &bull; <?php _e('Stats', 'geo-captcha'); ?></h2>
   <h3><?php _e('General Stats', 'geo-captcha'); ?></h3>
  <table class="geocaptchastats" cellpadding="0" cellspacing="0">
   <tr class="<?php if($geocaptcha_evenodd) { echo 'alt'; $geocaptcha_evenodd = false; } else { $geocaptcha_evenodd = true; } ?>">
    <td><?php _e('Spam comments blocked by Geo Captcha:', 'geo-captcha'); ?></td>
	<td><?php echo nl2br(get_option('geo_captcha_blocked_spam')); ?></td>
  </tr>
  <tr class="<?php if($geocaptcha_evenodd) { echo 'alt'; $geocaptcha_evenodd = false; } else { $geocaptcha_evenodd = true; } ?>">
   <td><?php _e('Commentators entered correct Captcha:', 'geo-captcha'); ?></td>
   <td><?php echo nl2br(get_option('geo_captcha_not_whitelisted_comments')); ?></td>
  </tr>
  <tr class="<?php if($geocaptcha_evenodd) { echo 'alt'; $geocaptcha_evenodd = false; } else { $geocaptcha_evenodd = true; } ?>">
   <td><?php _e('Comments from whitelisted countries:', 'geo-captcha'); ?></td>
   <td><?php echo nl2br(get_option('geo_captcha_whitelisted_comments')); ?></td>
  </tr>
  <tr class="<?php if($geocaptcha_evenodd) { echo 'alt'; $geocaptcha_evenodd = false; } else { $geocaptcha_evenodd = true; } ?>">
   <td><?php _e('Comments from registered users:', 'geo-captcha'); ?></td>
   <td><?php echo nl2br(get_option('geo_captcha_registered_comments')); ?></td>
  </tr>
 </table>
 <?php $geocaptcha_evenodd = true; ?>
 <h3><?php _e('Country Stats', 'geo-captcha'); ?></h3>
 <table class="geocaptchastats" cellpadding="0" cellspacing="0">
  <tr>
   <th><?php _e('Country', 'geo-captcha'); ?></th>
   <th><?php _e('Correct Captcha', 'geo-captcha'); ?></th>
   <th><?php _e('Wrong Captcha', 'geo-captcha'); ?></th>
  </tr>
   <?php if(is_array($country_stats)) { foreach($country_stats as $country_s) { ?>
   <tr class="<?php if($geocaptcha_evenodd) { echo 'alt'; $geocaptcha_evenodd = false; } else { $geocaptcha_evenodd = true; } ?>">
     <td><?php echo $country_s['country']; ?></td>
	 <td><?php echo $country_s['positiv_count']; ?></td>
	 <td><?php echo $country_s['negativ_count']; ?></td>
   </tr>
  <?php }} ?>
 </table>
 </div>
<?php
} // End of function geo_captcha_log_page()
?>